# SystemEncoding class

The system encoding is the current code page on Windows and UTF-8 on Linux and Mac.

Inheritance
  - Object
  - Codec<String, List<int>>
  - Encoding
  - SystemEncoding

## Constructors

SystemEncoding()
  Creates a const SystemEncoding. [...]
  const

## Properties

decoder → Converter<List<int>, String>
  Returns the decoder of `this`, converting from `List<int>` to `String`. [...]
  read-only, override
encoder → Converter<String, List<int>>
  Returns the encoder from `String` to `List<int>`. [...]
  read-only, override
name → String
  Name of the encoding. [...]
  read-only, override
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
inverted → Codec<List<int>, String>
  Inverts `this`. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

decode(List<int> encoded) → String
  Decodes `encoded` data. [...]
  override
encode(String input) → List<int>
  Encodes `input`. [...]
  override
decodeStream(Stream<List<int>> byteStream) → Future<String>
  inherited
fuse<R>(Codec<List<int>, R> other) → Codec<String, R>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited